[chatgpt](../readme.md) / [Exports](../modules.md) / [openai](../modules/openai.md) / CreateChatCompletionRequest

# Interface: CreateChatCompletionRequest

[openai](../modules/openai.md).CreateChatCompletionRequest

**`Export`**

**`Interface`**

CreateChatCompletionRequest

## Table of contents

### Properties

- [frequency\_penalty](openai.CreateChatCompletionRequest.md#frequency_penalty)
- [logit\_bias](openai.CreateChatCompletionRequest.md#logit_bias)
- [max\_tokens](openai.CreateChatCompletionRequest.md#max_tokens)
- [messages](openai.CreateChatCompletionRequest.md#messages)
- [model](openai.CreateChatCompletionRequest.md#model)
- [n](openai.CreateChatCompletionRequest.md#n)
- [presence\_penalty](openai.CreateChatCompletionRequest.md#presence_penalty)
- [stop](openai.CreateChatCompletionRequest.md#stop)
- [stream](openai.CreateChatCompletionRequest.md#stream)
- [temperature](openai.CreateChatCompletionRequest.md#temperature)
- [top\_p](openai.CreateChatCompletionRequest.md#top_p)
- [user](openai.CreateChatCompletionRequest.md#user)

## Properties

### frequency\_penalty

• `Optional` **frequency\_penalty**: `number`

Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model\'s likelihood to repeat the same line verbatim.  [See more information about frequency and presence penalties.](/docs/api-reference/parameter-details)

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:317](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L317)

___

### logit\_bias

• `Optional` **logit\_bias**: `object`

Modify the likelihood of specified tokens appearing in the completion.  Accepts a json object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:323](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L323)

___

### max\_tokens

• `Optional` **max\_tokens**: `number`

The maximum number of tokens allowed for the generated answer. By default, the number of tokens the model can return will be (4096 - prompt tokens).

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:305](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L305)

___

### messages

• **messages**: [`ChatCompletionRequestMessage`](openai.ChatCompletionRequestMessage.md)[]

The messages to generate chat completions for, in the [chat format](/docs/guides/chat/introduction).

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:269](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L269)

___

### model

• **model**: `string`

ID of the model to use. Currently, only `gpt-3.5-turbo` and `gpt-3.5-turbo-0301` are supported.

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:263](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L263)

___

### n

• `Optional` **n**: `number`

How many chat completion choices to generate for each input message.

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:287](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L287)

___

### presence\_penalty

• `Optional` **presence\_penalty**: `number`

Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model\'s likelihood to talk about new topics.  [See more information about frequency and presence penalties.](/docs/api-reference/parameter-details)

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:311](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L311)

___

### stop

• `Optional` **stop**: [`CreateChatCompletionRequestStop`](../modules/openai.md#createchatcompletionrequeststop)

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:299](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L299)

___

### stream

• `Optional` **stream**: `boolean`

If set, partial message deltas will be sent, like in ChatGPT. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message.

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:293](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L293)

___

### temperature

• `Optional` **temperature**: `number`

What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.  We generally recommend altering this or `top_p` but not both.

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:275](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L275)

___

### top\_p

• `Optional` **top\_p**: `number`

An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.  We generally recommend altering this or `temperature` but not both.

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:281](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L281)

___

### user

• `Optional` **user**: `string`

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](/docs/guides/safety-best-practices/end-user-ids).

**`Memberof`**

CreateChatCompletionRequest

#### Defined in

[src/types.ts:329](https://github.com/transitive-bullshit/chatgpt-api/blob/9eac18f/src/types.ts#L329)
